Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri.kerberos
Class KerberosTrustVerifier

    java.lang.Object
      net.jini.jeri.kerberos.KerberosTrustVerifier

All Implemented Interfaces:
  TrustVerifier

public class KerberosTrustVerifier
extends Object
implements TrustVerifier

Trust verifier for verifying the Jini(TM) extensible remote invocation (Jini ERI) endpoints of type `KerberosEndpoint`, and principals of type `KerberosPrincipal`. This class is intended to be specified in a resource to configure the operation of `Security.verifyObjectTrust`.

Since:
  2.0
See Also:
  `KerberosEndpoint`

Nested Class Summary

Nested classes inherited from class net.jini.security.TrustVerifier
`TrustVerifier.Context`

Constructor Summary
`KerberosTrustVerifier()` Creates a `Security.TrustVerifier` for this package.

Method Summary
`boolean` | `isTrustedObject(Object obj, TrustVerifier.Context ctx)` Returns `true` if the object is an instance of `KerberosEndpoint` and the `SocketFactory` it uses internally, if not `null`, is trusted by the given `TrustVerifier.Context`, or the object is an instance of `KerberosPrincipal`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KerberosTrustVerifier

    public KerberosTrustVerifier()

  Creates a `Security.TrustVerifier` for this package.

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj,
                                   TrustVerifier.Context ctx)
                            throws RemoteException

  Returns `true` if the object is an instance of `KerberosEndpoint` and the `SocketFactory` it uses internally, if not `null`, is trusted by the given `TrustVerifier.Context`, or the object is an instance of `KerberosPrincipal`. Returns `false` otherwise.

  Specified by:
    `isTrustedObject` in interface `TrustVerifier`
  Parameters:
    `obj` - the object in which to verify trust
    `ctx` - the trust verifier context, to aid in verification of the specified object and its components
  Returns:
    `true` if the specified object is known to be trusted to correctly implement its contract; `false` otherwise
  Throws:
    `RemoteException` - if a communication-related exception occurs when verifying a socket factory
    `SecurityException` - if a security exception occurs when verifying a socket factory
    `NullPointerException` - if any argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved